<?php
$operatorMeta = array(
    'operators' => array(
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Products',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'before_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Products',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Products',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Products',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'product_template_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'ProductTemplates',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'ProductTemplates',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'ProductTemplates',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'taxrate_id_c',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Products',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'taxrate_id_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Products',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-8' => array(
            'from' => 'op-6entity',
            'fromOperator' => 'op-6',
            'fromConnector' => 'entity',
            'to' => 'op-8entity',
            'toOperator' => 'op-8',
            'toConnector' => 'entity'
        ),
        'link-9' => array(
            'from' => 'op-8fields0',
            'fromOperator' => 'op-8',
            'fromConnector' => 'fields0',
            'to' => 'op-9id',
            'toOperator' => 'op-9',
            'toConnector' => 'id'
        ),
        'link-10' => array(
            'from' => 'op-6controlFlow',
            'fromOperator' => 'op-6',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-6entity',
            'fromOperator' => 'op-6',
            'fromConnector' => 'entity',
            'to' => 'op-11entity',
            'toOperator' => 'op-11',
            'toConnector' => 'entity'
        ),
        'link-14' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
    )
);
